org.h2.engine

## Class UserBuilder

- java.lang.Object
- - org.h2.engine.UserBuilder

    public class UserBuilder
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`UserBuilder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static User` `buildUser(AuthenticationInfo authenticationInfo, Database database, boolean persistent)` Build the database user starting from authentication informations.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UserBuilder

    public UserBuilder()

### Method Detail

#### buildUser

    public static User buildUser(AuthenticationInfo authenticationInfo,
                                 Database database,
                                 boolean persistent)

Build the database user starting from authentication informations.

Parameters:
  `authenticationInfo` - authentication info
  `database` - target database
  `persistent` - true if the user will be persisted in the database
Returns:
  user bean